<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Client;
use App\Models\SingleMessages;
use App\Models\Status;
use Carbon\Carbon;
use Illuminate\Http\Request;

class AdminController extends Controller
{
    public function index()
    {
        $data = [
            'icon' => 'success',
            'title' => 'لوحة التحكم',
            'text' => 'مرحبًا بك في لوحة التحكم',
            'showConfirmButton' => false,
            'timer' => 1500
        ];

        $data2 = getInformationDataQquery('Client')->select('status_id', 'uuid')->withCount('messages')->get();

        $statusCounts = $data2->groupBy('status_id')->map->sum('messages_count');

        $statusNames = getStatusData()->whereIn('id', $statusCounts->keys())->pluck('name', 'id');

        $chartjs = app()->chartjs
            ->name('lineChartTest')
            ->type('line')
            ->size(['width' => 400, 'height' => 200])
            ->labels($statusNames->values()->toArray())
            ->datasets([
                [
                    "label" => "عدد الرسائل داخل كل حاله",
                    'backgroundColor' => "rgba(38, 185, 154, 0.31)",
                    'borderColor' => "rgba(38, 185, 154, 0.7)",
                    "pointBorderColor" => "rgba(38, 185, 154, 0.7)",
                    "pointBackgroundColor" => "rgba(38, 185, 154, 0.7)",
                    "pointHoverBackgroundColor" => "#fff",
                    "pointHoverBorderColor" => "rgba(220,220,220,1)",
                    'data' => $statusCounts->values()->toArray(),
                ],
            ])
            ->options([]);

        // رسم بياني لعدد الرسائل لكل حالة (بشكل شريطي)
        $data3 =  getInformationDataQquery('Client')->select('status_id')->get();

        $statusCounts1 = $data3->groupBy('status_id')->map->count();

        $statusNames2 = getStatusData()->whereIn('id', $statusCounts1->keys())->pluck('name', 'id');

        $chartjs2 = app()->chartjs
            ->name('barChartTest')
            ->type('bar')
            ->size(['width' => 400, 'height' => 200])
            ->labels($statusNames2->values()->toArray())
            ->datasets([
                [
                    "label" => "عدد العملاء داخل كل حاله",
                    'backgroundColor' => ['rgba(255, 99, 132, 1.2)', 'rgba(54, 162, 235, 1.2)'],
                    'data' => $statusCounts1->values()->toArray(),
                ],
            ])
            ->options([]);


        return view('admin.index')->with([
            'data' => $data,
            'chartjs' => $chartjs,
            'chartjs2' => $chartjs2,
        ]);
    }
}
