<?php

namespace Database\Seeders;

use App\Models\Client;
use App\Models\employee;
use App\Models\Status;
use App\Models\subscriber;
use App\Models\User;
use Carbon\Carbon;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;

class AdminSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Schema::disableForeignKeyConstraints();

        DB::table('users')->truncate();
        User::create([
            'name' => 'مسئول السسيتم',
            'email' => 'admin@admin.com',
            'password' => bcrypt(123456789),
        ]);

        Status::create([
            'user_id' => User::first()->id,
            'subscriber_id' => null,
            'name' => 'تم الرد',
            'notes' => 'تم الرد',
        ]);
        Status::create([
            'user_id' => User::first()->id,
            'subscriber_id' => null,
            'name' => 'في الانتظار',
            'notes' => 'في الانتظار',
        ]);

        Status::create([
            'user_id' => User::first()->id,
            'subscriber_id' => null,
            'name' => 'عميل جديد',
            'notes' => 'عميل جديد',
        ]);

        Status::create([
            'user_id' => User::first()->id,
            'subscriber_id' => null,
            'name' => 'رساله جديده',
            'notes' => 'رساله جديده',
        ]);

        subscriber::create([
            'name' => 'farouk',
            'email' => "subscriber@subscriber.com",
            'password' => bcrypt(123456789),
            'phone' => "012121212",
            'address' => "الرياض",
            'status' => 'active',
            'type_subscribers' => "years",
            'expiry_data' => Carbon::now()->addYear(),
        ]);

        employee::create([
            'name' => 'موظف',
            'email' => 'employee@employee.com',
            'password' => bcrypt(123456789),
            'user_id' => null,
            'subscriber_id' => subscriber::first()->id,
            'status' => 'active',
        ]);

        Schema::enableForeignKeyConstraints();

    }
}
