<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ChanelEmployee;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class ChanelEmployeeController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = getInformationData('ChanelEmployee');
        return view('admin.chanelEmployee.index', compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        try {

            $checkData = ChanelEmployee::where('channel_id', $request->channel_id)->where('employee_id', $request->employee_id)->first();
            if ($checkData) {
                Session::flash('message', 'لقد تم تعين القناه الي الموظف من قبل');
                Session::flash('alert-class', 'alert-info');
                return redirect()->back();
            }

            ChanelEmployee::create([
                'user_id' => auth('web')->check() ? getUserType() : null,
                'subscriber_id' => auth('subscriber')->check() ? getUserType() : null,
                'channel_id' => $request->channel_id,
                'employee_id' => $request->employee_id,
                'status' => true,
            ]);
            Session::flash('message', 'تم الحفظ بنجاح');
            Session::flash('alert-class', 'alert-success');
            return redirect()->back();
        } catch (\Exception $exception) {
            return redirect()->back()->withErrors(['error' => $exception->getMessage()]);
        }
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        ChanelEmployee::destroy(\request()->id);
        Session::flash('message', 'تم الحذف بنجاح');
        Session::flash('alert-class', 'alert-success');
        return redirect()->back();
    }
}
