<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\ConnectBot;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;

class ConnectBotController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $data = getInformationData('ConnectBot');
        return view('admin.connectBot.index',compact('data'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        $data = ConnectBot::where('channel_id',$request->channel_id)->where('reply_boot_id',$request->reply_boot_id)->first();
        if ($data){
            return redirect()->back()->withErrors(['error' => 'لقد تم اضافه البوت بالفعل']);
        }
        try {
        ConnectBot::create([
            'user_id' => auth('web')->check() ?  getUserType() : null,
            'subscriber_id' => auth('subscriber')->check() ?  getUserType() : null,
            'channel_id' => $request->channel_id,
            'reply_boot_id' => $request->reply_boot_id,
            'status' => "active",
        ]);
            Session::flash('message', 'تم الحفظ بنجاح');
            Session::flash('alert-class', 'alert-success');
            return redirect()->back();
        } catch (\Exception $exception) {
            return redirect()->back()->withErrors(['error' => $exception->getMessage()]);
        }

    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        try {
            ConnectBot::destroy(\request()->id);
            Session::flash('message', 'تم الحذف بنجاح');
            Session::flash('alert-class', 'alert-success');
            return redirect()->back();
        } catch (\Exception $exception) {
            return redirect()->back()->withErrors(['error' => $exception->getMessage()]);
        }
    }
}
