<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ChatBootReply extends Model
{
    use HasFactory;

    protected $fillable = [
        'reply_boot_list_id',
        'reply_boot_button_id',
        'reply_message_id',
        'type',
        'boot_list_id',
        'boot_button_id',
    ];


    public function reply_boot_list()
    {
        return $this->belongsTo(ReplyBootList::class, 'reply_boot_list_id');
    }

    public function boot_list()
    {
        return $this->belongsTo(BootList::class, 'boot_list_id');
    }
    public function boot_button()
    {
        return $this->belongsTo(BootButton::class, 'boot_button_id');
    }

    public function reply_boot_button()
    {
        return $this->belongsTo(ReplyBootButton::class, 'reply_boot_button_id');
    }

    public function reply_message()
    {
        return $this->belongsTo(ReplyMessage::class, 'reply_message_id');
    }
}
