<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ExtractionApi extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id',
        'subscriber_id',
        'boot_list_id',
        'boot_button_id',
        'channel_id',
        'status',
        'url',
    ];

    public function user()
    {
        return $this->belongsTo(User::class,'user_id');
    }

    public function subscriber()
    {
        return $this->belongsTo(User::class,'subscriber_id');
    }

    public function boot_list()
    {
        return $this->belongsTo(BootList::class,'boot_list_id');
    }

    public function boot_button()
    {
        return $this->belongsTo(BootButton::class,'boot_button_id');
    }

    public function channel()
    {
        return $this->belongsTo(channel::class,'channel_id');
    }

}
