<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('chat_boot_replies', function (Blueprint $table) {
            $table->id();
            $table->foreignId('boot_list_id')->nullable()->constrained('boot_lists')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('reply_boot_list_id')->nullable()->constrained('reply_boot_lists')->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('boot_button_id')->nullable()->constrained('boot_buttons')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('reply_boot_button_id')->nullable()->constrained('reply_boot_buttons')->cascadeOnUpdate()->cascadeOnDelete();

            $table->foreignId('reply_message_id')->nullable()->constrained('reply_messages')->cascadeOnDelete()->cascadeOnUpdate();

            $table->enum('type',['message','list','button']);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('chat_boot_replies');
    }
};
