@extends('admin.layouts.master')


@section('title')
    الاختيارات
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">الاختيارات</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">الاختيارات</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    @if ($data->ReplyButton->count() < 3)
                        <div class="card-header">
                            <button class="btn btn-success" data-toggle="modal" data-target="#createNewReplyList">إضافة اختيار جديد</button>
                        </div>
                        @include('admin.buttonboot.ReplyButton.create')
                    @endif



                    <div class="card-body">
                        @include('admin.messages')
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>اسم الاختيار</th>
                                <th>نوع الرد</th>
                                <th> الرد</th>
                                <th>العمليات</th>

                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data->ReplyButton as $row)
                                <tr>
                                    <td>{{$loop->index+1}}</td>
                                    <td>{{$row->name}}</td>
                                    <td>{{$row->chat_boot_button->type ?? null}}</td>
                                    <td>
                                      {{findNameReplyChatBootButton($row->id)->name ?? null}}
                                    </td>

                                    <td>
                                        <button class="btn btn-success btn-sm" data-toggle="modal" data-target="#edit{{$row->id}}"><i class="fa fa-edit"></i></button>
                                        <button class="btn btn-danger btn-sm" data-toggle="modal" data-target="#delete{{$row->id}}"><i class="fa fa-trash"></i></button>
                                        @if(!App\Models\ChatBootReply::where('reply_boot_button_id',$row->id)->first())
                                            <a href="{{route('chatBootReplyButtonShow',[$row->id,$data->id])}}" class="btn btn-info btn-sm"><i class="fa fa-eye"></i></a>

                                        @endif
                                    </td>

                                    @include('admin.buttonboot.ReplyButton.edit')
                                    @include('admin.buttonboot.ReplyButton.deleted')

                                </tr>
                            @endforeach

                            </tbody>

                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js')

@endsection
