@extends('admin.layouts.master')


@section('title')
    ربط  البوت مع القناه
@endsection

@section('css')


@endsection


@section('content-header')
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0 text-dark">ربط  البوت مع القناه</h1>
                </div><!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item active">ربط  البوت مع القناه</li>
                    </ol>
                </div><!-- /.col -->
            </div><!-- /.row -->
        </div><!-- /.container-fluid -->
    </div>
@endsection


@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <!-- /.card-header -->
                    <div class="card-header">
                        <button class="btn btn-success" data-toggle="modal" data-target="#createNewStatus">
                            ربط قناه مع بوت
                        </button>
                        @include('admin.connectBot.create')
                    </div>
                    <div class="card-body">
                        @include('admin.messages')
                        <table id="example1" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>اسم القناه</th>
                                <th>اسم البوت</th>
                                <th>اسم المشترك</th>

                                <th>العمليات</th>

                            </tr>
                            </thead>
                            <tbody>
                            @foreach($data as $row)
                                <tr>
                                    <td>{{$loop->index+1}}</td>
                                    <td>{{$row->channel->name}}</td>
                                    <td>{{$row->reply_boot->name}}</td>

                                    <td>{{ $row->subscriber->name ?? "ادراه " }}</td>

                                    <td>
                                       <button class="btn btn-danger btn-sm"data-toggle="modal" data-target="#delete{{$row->id}}"><i class="fa fa-trash"></i></button>
                                    </td>


                                    @include('admin.connectBot.deleted')
                                </tr>
                            @endforeach

                            </tbody>

                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        </div>
    </div>
@endsection


@section('js')
    <script>
        function updateStatus(checked, id) {
            var status = checked ? "active" : "noActive";

            // إرسال طلب AJAX
            $.ajax({
                url: "{{ route('status_status_employee') }}",
                method: "POST",
                headers: {
                    "X-CSRF-TOKEN": "{{ csrf_token() }}"
                },
                data: {
                    status: status,
                    id: id
                },
                success: function (response) {
                    Swal.fire({
                        icon: 'success',
                        title: 'نجاح!',
                        text: response.message,
                        showConfirmButton: false,
                        timer: 1500
                    });
                },
                error: function () {
                    alert("حدث خطأ أثناء تحديث الحالة");
                }
            });
        }


    </script>
@endsection
